GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
geos::operation::buffer Namespace Reference

Provides classes for computing buffers of geometries. More...

## Classes
class | BufferInputLineSimplifier
| Simplifies a buffer input line to remove concavities with shallow depth. More...
class | BufferBuilder
| Builds the buffer geometry for a given input geometry and precision model. More...
class | BufferOp
| Computes the buffer of a geometry, for both positive and negative buffer distances. More...
class | BufferParameters
| Contains the parameters which describe how a buffer should be constructed. More...
class | BufferSubgraph
| A connected subset of the graph of DirectedEdge and geomgraph::Node. More...
class | OffsetCurveBuilder
| Computes the raw offset curve for a single Geometry component (ring, line or point). More...
class | OffsetCurveSetBuilder
| Creates all the raw offset curves for a buffer of a Geometry. More...
class | OffsetSegmentGenerator
class | OffsetSegmentString
| A dynamic list of the vertices in a constructed offset curve. More...
class | RightmostEdgeFinder
| A RightmostEdgeFinder find the geomgraph::DirectedEdge in a list which has the highest coordinate, and which is oriented L to R at that point. (I.e. the right side is on the RHS of the edge.) More...
class | SubgraphDepthLocater
| Locates a subgraph inside a set of subgraphs, in order to determine the outside depth of the subgraph. More...

## Functions
std::ostream & | operator<< (std::ostream &os, const BufferSubgraph &bs)
bool | BufferSubgraphGT (BufferSubgraph *first, BufferSubgraph *second)
std::ostream & | operator<< (std::ostream &os, const OffsetSegmentString &lst)

## Detailed Description

Provides classes for computing buffers of geometries.